This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 995797 - There is no commands “engine-check-update” and “rhevm-check-update” in RHEVM 3.3 - IS8
There is no commands “engine-check-update” and “rhevm-check-update” in RHEVM ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
medium Severity medium
: ---
: 3.3.0
Assigned To: Alon Bar-Lev
Aharon Canan
integration
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 04:35 EDT by vvyazmin@redhat.com
Modified: 2015-09-22 09 EDT (History)
11 users (show)

See Also:
Fixed In Version: is10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vvyazmin@redhat.com 2013-08-11 04:35:00 EDT
Description of problem:
There is no commands “engine-check-update” and “rhevm-check-update” in RHEVM 3.3 - IS8

Version-Release number of selected component (if applicable):
RHEVM 3.3 - IS8 environment:

RHEVM:  rhevm-3.3.0-0.13.master.el6ev.noarch
VDSM:  vdsm-4.12.0-rc3.13.git06ed3cc.el6ev.x86_64
LIBVIRT:  libvirt-0.10.2-18.el6_4.9.x86_64
QEMU & KVM:  qemu-kvm-rhev-0.12.1.2-2.355.el6_4.5.x86_64
SANLOCK:  sanlock-2.6-2.el6.x86_64
PythonSDK:  rhevm-sdk-python-3.3.0.8-1.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
 Try run command “engine-check-update” or “rhevm-check-update”
 


Actual results:
There is no commands “engine-check-update” and “rhevm-check-update”

Expected results:
There is should be those commands “engine-check-update” and “rhevm-check-update”

Impact on user:
none

Workaround:
Run “engine-upgrade” and answer “NO” in “Would you like to proceed? (yes|no):” question.

Additional info:

/var/log/ovirt-engine/engine.log

/var/log/vdsm/vdsm.log
Comment 2 Alon Bar-Lev 2013-08-11 10:55:27 EDT
there is engine-upgrade-check which is better structured name, it also do not use the legacy engine-upgrade but just yum to determine if there is an upgrade.

it is script friendly and user friendly.
Comment 4 Lee Yarwood 2013-08-13 06:13:54 EDT
(In reply to Alon Bar-Lev from comment #2)
> there is engine-upgrade-check which is better structured name, it also do
> not use the legacy engine-upgrade but just yum to determine if there is an
> upgrade.
> 
> it is script friendly and user friendly.

While I agree that this is a better name could we deprecate the original {engine,rhevm}-check-update commands in 3.3 before removing them fully in 3.4? I think this is the approach we are taking with {engine,rhevm}-upgrade moving to {engine,rhevm}-setup.
Comment 5 Alon Bar-Lev 2013-08-13 06:16:10 EDT
(In reply to Lee Yarwood from comment #4)
> (In reply to Alon Bar-Lev from comment #2)
> > there is engine-upgrade-check which is better structured name, it also do
> > not use the legacy engine-upgrade but just yum to determine if there is an
> > upgrade.
> > 
> > it is script friendly and user friendly.
> 
> While I agree that this is a better name could we deprecate the original
> {engine,rhevm}-check-update commands in 3.3 before removing them fully in
> 3.4? I think this is the approach we are taking with {engine,rhevm}-upgrade
> moving to {engine,rhevm}-setup.

Yes, I will add depreciated message and instructions to run the other script.

Thanks,
Alon.
Comment 6 Alon Bar-Lev 2013-08-14 07:33:42 EDT
Alias will follow at next build, please checkout the engine-upgrade-check at this build.
Comment 7 Aharon Canan 2013-09-01 09:15:22 EDT
verified using is11

[root@acanan-rhevm-31 ~]# engine-check-update

Checking for updates... (This may take several minutes)...[ DONE ]
No updates available
Starting ovirt-engine service...                     [ DONE ]

[root@acanan-rhevm-31 ~]# rhevm-check-update

Checking for updates... (This may take several minutes)...[ DONE ]
No updates available
Starting ovirt-engine service...                     [ DONE ]
Comment 9 Itamar Heim 2014-01-21 17:22:19 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:27:22 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.